using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core;

/// <summary>
/// 试卷大题
/// </summary>
[Comment("试卷大题")]
public class ExamPaperQuestionMajor : DEntityBase
{
    /// <summary>
    /// 双向细目表头ID
    /// </summary>
    [Comment("双向细目表头ID")]
    [Required]
    public int ExamPaperId { get; set; }
    /// <summary>
    /// 顺序
    /// </summary>
    [Comment("顺序")]
    public int Sequence { get; set; } = 0;
    /// <summary>
    /// 题号
    /// </summary>
    [Comment("题号")]
    [Required, StringLength(20)]
    public string Number { get; set; } = "";
    /// <summary>
    /// 标题
    /// </summary>
    [Comment("标题")]
    [StringLength(100)]
    public string Title { get; set; } = "";
    /// <summary>
    /// 提示语
    /// </summary>
    [Comment("提示语")]
    [StringLength(200)]
    public string Hint { get; set; } = "";
    /// <summary>
    /// 分值
    /// </summary>
    [Comment("分值")]
    [Required, Column(TypeName = "decimal(10, 2)")]
    public decimal Score { get; set; } = 0;
    /// <summary>
    /// 备注
    /// </summary>
    [Comment("备注")]
    [StringLength(200)]
    public string Remark { get; set; } = "";
}
